Package com.arms.api.jira.jiraserver.model.enums

## Enum CacheType

- java.lang.Object
- - java.lang.Enum<CacheType>
  - - com.arms.api.jira.jiraserver.model.enums.CacheType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CacheType>`

      public enum CacheType
      extends java.lang.Enum<CacheType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALM` |
    `ARMS_STATE` |
    `ARMS_STATE_CATEGORY` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CacheType` | `fromString​(java.lang.String type)` |
    `java.lang.String` | `getType()` |
    `static CacheType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CacheType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALM

          public static final CacheType ALM

    - #### ARMS_STATE

          public static final CacheType ARMS_STATE

    - #### ARMS_STATE_CATEGORY

          public static final CacheType ARMS_STATE_CATEGORY

  - ### Method Detail

    - #### values

          public static CacheType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CacheType c : CacheType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CacheType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getType

          public java.lang.String getType()

    - #### fromString

          public static CacheType fromString​(java.lang.String type)